/[gentoo-x86]/eclass/kde4-meta-pkg.eclass
Gentoo

Diff of /eclass/kde4-meta-pkg.eclass

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.1 Revision 1.8
1# Copyright 1999-2011 Gentoo Foundation 1# Copyright 1999-2012 Gentoo Foundation
2# Distributed under the terms of the GNU General Public License v2 2# Distributed under the terms of the GNU General Public License v2
3# $Header: /var/cvsroot/gentoo-x86/eclass/kde4-meta-pkg.eclass,v 1.1 2011/04/06 14:22:14 scarabeus Exp $ 3# $Header: /var/cvsroot/gentoo-x86/eclass/kde4-meta-pkg.eclass,v 1.8 2012/05/08 22:00:49 dilfridge Exp $
4 4
5# @ECLASS: kde4-meta-pkg.eclass 5# @ECLASS: kde4-meta-pkg.eclass
6# @MAINTAINER: 6# @MAINTAINER:
7# kde@gentoo.org 7# kde@gentoo.org
8# @BLURB: This eclass contains boilerplate for kde 4.X meta packages 8# @BLURB: This eclass contains boilerplate for kde 4.X meta packages
9# @DESCRIPTION: 9# @DESCRIPTION:
10# This eclass should only be used for defining meta packages for KDE4. 10# This eclass should only be used for defining meta packages for KDE4.
11 11
12inherit kde4-functions versionator 12inherit kde4-functions
13 13
14HOMEPAGE="http://www.kde.org/" 14HOMEPAGE="http://www.kde.org/"
15 15
16LICENSE="GPL-2" 16LICENSE="GPL-2"
17IUSE="aqua kdeprefix" 17IUSE="aqua"
18RDEPEND="$(block_other_slots)"
19 18
20SLOT=$(_calculate_kde_slot) 19# Only add the kdeprefix USE flag for older versions, to help
21[[ -z ${SLOT} ]] && die "Unsupported ${PV}" 20# non-portage package managers handle the upgrade
22# portage dies out if last statement is like above so we need to pass true 21if [[ ${PV} < 4.6.4 && ( ${PN} != kdepim-meta || ${PV} < 4.6 ) ]]; then
23: 22 IUSE+=" kdeprefix"
23fi
24
25SLOT=4

Legend:
Removed from v.1.1  
changed lines
  Added in v.1.8

  ViewVC Help
Powered by ViewVC 1.1.20